org.springframework.beans.factory.parsing

## Class BeanDefinitionParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.BeanDefinitionStoreException
              - - org.springframework.beans.factory.parsing.BeanDefinitionParsingException

All Implemented Interfaces:
  Serializable

    public class BeanDefinitionParsingException
    extends BeanDefinitionStoreException

Exception thrown when a bean definition reader encounters an error during the parsing process.

Since:
  2.0
Author:
  Juergen Hoeller, Rob Harrop
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BeanDefinitionParsingException(Problem problem)` Create a new BeanDefinitionParsingException.

### Method Summary

### Methods inherited from class org.springframework.beans.factory.BeanDefinitionStoreException

`getBeanName, getResourceDescription`

### Methods inherited from class org.springframework.beans.BeansException

`equals, hashCode`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BeanDefinitionParsingException

    public BeanDefinitionParsingException(Problem problem)

Create a new BeanDefinitionParsingException.

Parameters:
  `problem` - the configuration problem that was detected during the parsing process